package com.mygdx.game;

import org.usb4java.Device;

public class TestPeri
{
    public static void main(String[] args) throws Exception
    {
        McuBoard.initUsb();

        try
        {
        	Device[] devices = McuBoard.findBoards();
        	
        	if (devices.length == 0) {
                System.out.format("***** Practicum board not found **\n");
                return;
        	}
        	else {
                System.out.format("**+++ Found %d practicum board(s) **\n", devices.length);
        	}
            McuWithPeriBoard peri = new McuWithPeriBoard(devices[0]);

            System.out.format("** Practicum board found **\n");
            System.out.format("** Manufacturer: %s\n", peri.getManufacturer());
            System.out.format("** Product: %s\n", peri.getProduct());

            int count = 0;

            while (true) 
            {
                Thread.sleep(500);
                peri.setLedValue(count);
                
                boolean sw_left = peri.getSwitch_Left();
                boolean sw_right = peri.getSwitch_Right();
                int light = peri.getLight();
                System.out.format("LED set to %d | Switch state: %s | Light: %d | %s\n",
                        count, sw_left, light,sw_right);

                count++;
                if (count > 7) count = 0;
            }
        }
        catch (Exception e)
        {
            System.out.println(e);
        }

        McuBoard.cleanupUsb();
    }
}
