package com.mygdx.game;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.GlyphLayout;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.utils.Align;

public class WorldRenderer {
	private static final int REPLAY_BUTTON_WIDTH = 100;
	private static final int REPLAY_BUTTON_HEIGHT = 100;
	private static final int REPLAY_BUTTON_Y = 100;
	public Texture backgroundOver;
	public Texture replayButtonActive;
	public Texture replayButtonInactive;
	public Texture background;
	public static Texture pandaImg_Left;
	public static Texture pandaImg_Right;
	public static Texture pandaImg_Mid;
	public PandaGame pandaGame;
	private BitmapFont scoreFont;
	private SpriteBatch batch;
	public int score;
	public int lastScore;
	public boolean sw_left;
	private McuWithPeriBoard peri ;
	public static int cycleCount;
	
	public WorldRenderer(PandaGame pandaGame) {
		this.peri = pandaGame.peri;
		this.pandaGame = pandaGame;
        scoreFont = new BitmapFont();
        score = 0;
        lastScore = 0;
        pandaImg_Left = new Texture("panda_left.png");
		pandaImg_Right = new Texture("panda_right.png");
		pandaImg_Mid = new Texture("panda_mid.png");
        background = new Texture("view.jpg");
        this.batch = pandaGame.batch;
		backgroundOver = new Texture ("gameover.jpg");
		replayButtonActive = new Texture ("replaybutton.png");
	}
	 
	public void render(float delta) {
        if (pandaGame.count == 0) {
        	score += 1 ;
        	batch.begin();
	        batch.draw(background, 0, 0);	
	        GlyphLayout scoreLayout = new GlyphLayout(scoreFont,"Score: " + score ,Color.BLACK, 0, Align.left, false);
	        scoreFont.draw(batch ,scoreLayout, Gdx.graphics.getWidth() /2 - scoreLayout.width / 2, Gdx.graphics.getHeight() - scoreLayout.height - 10);
	        pandaGame.scrollingBackground.updateAndRender(delta, batch);
	        batch.end();
        } else if (pandaGame.count == 1) {
        	Gdx.gl.glClearColor(0, 0, 0, 1);
            Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
            replayButton();
            
        } 
    }
	
	
 	
	
	private void replayButton () {
		sw_left = peri.getSwitch_Left();
 		int x = PandaGame.WIDTH / 2 - REPLAY_BUTTON_WIDTH / 2;
 		lastScore = score;
 		pandaGame.batch.begin();
 		pandaGame.batch.draw(backgroundOver, 0, 0);
 		GlyphLayout scoreLayout = new GlyphLayout(scoreFont,"Score: " + lastScore ,Color.BLACK, 0, Align.left, false);
 		scoreFont.draw(pandaGame.batch, scoreLayout, Gdx.graphics.getWidth() /2 - scoreLayout.width /2, Gdx.graphics.getHeight()/2 - 1);
 		GlyphLayout replayLayout = new GlyphLayout(scoreFont,"Step on LEFT"  ,Color.BLACK, 0, Align.left, false);
 		scoreFont.draw(pandaGame.batch, replayLayout, Gdx.graphics.getWidth() /2 - replayLayout.width /2, REPLAY_BUTTON_Y-10);
 		pandaGame.batch.draw(replayButtonActive, x, REPLAY_BUTTON_Y, REPLAY_BUTTON_WIDTH ,REPLAY_BUTTON_HEIGHT);
 		pandaGame.batch.end();
 		if (sw_left) {
         	pandaGame.setScreen(new GameScreen(pandaGame));
         	pandaGame.count = 0;
        
 		}
 	}
	 
}